<?php

declare(strict_types=1);

namespace Drupal\multisite_manager_tool\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\multisite_manager_tool\Form\MultisiteManagerToolForm;

/**
 * Returns responses for Multisite manager tool routes.
 */
final class MultisiteManagerToolController extends ControllerBase {

  /**
   * Displays the system multisite manager tool page.
   *
   * @return array
   *   A render array containing the multisite-manager-tool form.
   */
  public function build(): array {
    return [
      'multisite_manager_tool' => $this->formBuilder()->getForm(MultisiteManagerToolForm::class)
    ];
  }

}
